## org.jfree.chart.encoders
Interface ImageEncoder

All Known Implementing Classes:
  KeypointPNGEncoderAdapter, SunJPEGEncoderAdapter, SunPNGEncoderAdapter

    public interface ImageEncoder

Interface for abstracting different types of image encoders.

Method Summary
`byte[]` `encode(java.awt.image.BufferedImage bufferedImage)` Encodes an image in a particular format.
`void` `encode(java.awt.image.BufferedImage bufferedImage, java.io.OutputStream outputStream)` Encodes an image in a particular format and writes it to an OutputStream.
`float` `getQuality()` Get the quality of the image encoding.
`boolean` `isEncodingAlpha()` Get whether the encoder should encode alpha transparency.
`void` `setEncodingAlpha(boolean encodingAlpha)` Set whether the encoder should encode alpha transparency (not supported by all ImageEncoders).
`void` `setQuality(float quality)` Set the quality of the image encoding (not supported by all ImageEncoders).

Method Detail

### encode

    byte[] encode(java.awt.image.BufferedImage bufferedImage)
                  throws java.io.IOException

  Encodes an image in a particular format.

  Parameters:
    `bufferedImage` - The image to be encoded.
  Returns:
    The byte[] that is the encoded image.
  Throws:
    `java.io.IOException`

### encode

    void encode(java.awt.image.BufferedImage bufferedImage,
                java.io.OutputStream outputStream)
                throws java.io.IOException

  Encodes an image in a particular format and writes it to an OutputStream.

  Parameters:
    `bufferedImage` - The image to be encoded.
    `outputStream` - The OutputStream to write the encoded image to.
  Throws:
    `java.io.IOException`

### getQuality

    float getQuality()

  Get the quality of the image encoding.

  Returns:
    A float representing the quality.

### setQuality

    void setQuality(float quality)

  Set the quality of the image encoding (not supported by all ImageEncoders).

  Parameters:
    `quality` - A float representing the quality.

### isEncodingAlpha

    boolean isEncodingAlpha()

  Get whether the encoder should encode alpha transparency.

  Returns:
    Whether the encoder is encoding alpha transparency.

### setEncodingAlpha

    void setEncodingAlpha(boolean encodingAlpha)

  Set whether the encoder should encode alpha transparency (not supported by all ImageEncoders).

  Parameters:
    `encodingAlpha` - Whether the encoder should encode alpha transparency.